Subject: Final sale in replica watch store

From: " Send-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 10:12:30 -0500

Keep up with time – get yourself a top-quality replica timepiece!
The quality and price of our replicas will surprise you in a pleasant way!
Choose your favorite model by your favorite brand – we definitely have it!
http://stflu.com